Page MenuHomePhabricator

503 when batch-editing tasks in Phab
Closed, ResolvedPublic

Description

Wanted to mass-edited 124 tickets in Phab via https://phabricator.wikimedia.org/maniphest/batch/ (adding a project) for ticket 1282 and while that was running I got this:

Request: POST http://phabricator.wikimedia.org/maniphest/batch/, from 10.64.0.172 via cp1044 cp1044 ([10.64.0.172]:80), Varnish XID 1589601643
Forwarded for: phabupdate, my.ip.address, 10.64.0.172
Error: 503, Service Unavailable at Thu, 27 Nov 2014 16:01:54 GMT

Looks like it kills itself pretty exactly after 100 tasks. Might be coincidence.

Event Timeline

Aklapper created this task.Nov 27 2014, 4:07 PM
Aklapper updated the task description. (Show Details)
Aklapper raised the priority of this task from to Low.
Aklapper added a project: Phabricator.
Aklapper changed Security from none to None.
Aklapper added a subscriber: Aklapper.
Qgil added subscribers: Quiddity, Qgil.

@Quiddity also reported a timeout after 100 tasks.

Looks like it kills itself pretty exactly after 100 tasks. Might be coincidence.

Actually the number 100 here is coincidence, it's probably based on a certain timeframe instead.
I'm not convinced yet this is an upstream issue but would need somebody in Wikimedia to investigate who has access to the lower stack.

I'm afraid that's some timeout on our side and nothing in upstream code

I just triggered this after 85 out of 131 tasks so it's not about the number but about the time.

Aklapper changed the task status from Open to Stalled.Mar 10 2015, 4:46 PM

Have not seen this problem lately when batch-editing ~160 tasks. Not sure if it still exists (or if stuff just has gotten faster). Setting status to STALLED.

Aklapper closed this task as Resolved.Feb 9 2016, 9:54 PM
Aklapper claimed this task.

Not seen recently; closing as resolved

Restricted Application added subscribers: Luke081515, scfc. · View Herald TranscriptFeb 9 2016, 9:54 PM